# Subtitles

To find whether subtitles exist for a video, use `/video/{videoSeq}` or `/post/{postId}` and look for the `captions` field. If `captions` does not exist, then there are no subtitles for the video.

```json
{
    country: "ES",
    fanName: "",
    file_name: "288383/288383.auto.es_ES.vtt",
    label: "Español",
    language: "es",
    locale: "es_ES",
    source: "https://resources-rmcnmv.pstatic.net/globalv/c/read/v2/VOD_ALPHA/2022_07_26/d14e9dfd-0ca9-11ed-bc92-ca0665afad55-1658815901895_es_ES_auto.vtt",
    type: "auto"
}
```

The original source of the subtitles from the VLIVE CDN is included in the VLIVE Archive API because it is still accessible and you may use that as a mirror if you wish. Alternatively, it may be more convenient to use the provided `file_name` as it is structured in a format ideal for archiving. The filename contains all the essential metadata on the subtitles itself, including the `videoSeq`, type of subtitles, and language.

There are two ways to obtain the full URL from the provided `file_name`.

1. Use the subtitle subdomain: `https://subtitle.vlivearchive.com/files/{file_name}`\
   For example <https://subtitle.vlivearchive.com/files/288383/288383.cp.en_US.vtt>
2. Use the `/subtitles` path on the main site.\
   That is, `https://vlivearchive.com/subtitles/{file_name}`\
   For example [https://vlivearchive.com/subtitles/288383/288383.cp.en\_US.vtt](https://subtitle.vlivearchive.com/files/288383/288383.cp.en_US.vtt)

To obtain the corresponding SRT file, simply replace the .vtt extension with .srt. For example, the above two links become

1. <https://subtitle.vlivearchive.com/files/288383/288383.cp.en_US.srt>
2. <https://vlivearchive.com/subtitles/288383/288383.cp.en_US.srt>

Under the hood, only the vtt file is actually stored (as this is the original file format used on the website and supplied by the CDN) and srt files are dynamically generated/converted when requested.

Note: The field `subtitles` has been deprecated and the data contained within it is stale and no longer usable.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vlivearchive.com/vlive-archive-documentation/multimedia/subtitles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
